Skip to main content
POST
/
v1
/
faucet
/
drips
Request testnet tokens
curl --request POST \
  --url https://api.circle.com/v1/faucet/drips \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
  "blockchain": "MATIC-AMOY",
  "native": true,
  "usdc": true,
  "eurc": true
}
'
import requests

url = "https://api.circle.com/v1/faucet/drips"

payload = {
"address": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
"blockchain": "MATIC-AMOY",
"native": True,
"usdc": True,
"eurc": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350',
blockchain: 'MATIC-AMOY',
native: true,
usdc: true,
eurc: true
})
};

fetch('https://api.circle.com/v1/faucet/drips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 123,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Body

application/json
address
string
required

Blockchain generated unique identifier, associated with wallet (account), smart contract or other blockchain objects.

Example:

"0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350"

blockchain
enum<string>
required

The testnet blockchain network the resource will be created on or is currently on.

Available options:
ETH-SEPOLIA,
AVAX-FUJI,
MATIC-AMOY,
SOL-DEVNET,
ARB-SEPOLIA,
UNI-SEPOLIA,
BASE-SEPOLIA,
OP-SEPOLIA,
APTOS-TESTNET,
ARC-TESTNET,
MONAD-TESTNET
Example:

"MATIC-AMOY"

native
boolean
default:false

Request native testnet tokens.

Example:

true

usdc
boolean
default:false

Request USDC testnet tokens.

Example:

true

eurc
boolean
default:false

Request EURC testnet tokens.

Example:

true

Response

Successfully requested testnet tokens. No content in body.